<% if params[:step] == '2' %>
	<%= render :partial => 'step_two' %>
<% else %>
	<%= render :partial => 'step_one' %>
<% end %>  

<script type="text/javascript">

	$(function () {
		$('.nav-link').unbind('click').bind('click', function(e){
			$(".nav-link").removeClass('active');
			$(this).addClass('active');
			$(`#nav-tabContent .tab-pane`).removeClass('show active');
			$(`#nav-tabContent .tab-pane${$(this).attr("href")}`).addClass('show active');
			$('.time_slot').removeClass('active_time_slot')
		})

		$('.select-seats').unbind('click').bind('click', function(){
			date = $('.nav-link.active').text()
			time_slot_id = $('.active_time_slot').attr('id')
			no_of_seats = $('.styled-element').text() 
			if(time_slot_id == undefined){
				alert('Please select time slot')
				return true
			}
			id = "<%= params[:id] %>"
			window.location.href = '/bookings?step=2&date=' + date + '&ts_id=' + time_slot_id + '&no_of_seats=' + no_of_seats + '&id=' + id
		})

		$('.time_slot').unbind('click').bind('click', function(){
			$('.time_slot').removeClass('active_time_slot')
			$(this).addClass('active_time_slot')
		})


		$('.step-two .time_slot').unbind('click').bind('click', function(){
			$('.time_slot').removeClass('active_time_slot')
			$(this).addClass('active_time_slot')
			$(".loader-full-page").removeClass('hide')
			$(".confirm-my-booking").hide()
			$.ajax({
			  type: "GET", 
			  url: "/bookings",
			  dataType: "script",
			  data: {slot_selection: true, 	step: 2, id: "<%= @movie.id %>", date: "<%= params[:date] %>", ts_id: $('.active_time_slot').attr('id')}
			})
		})

		$('.no_of_seats').unbind('click').bind('click', function(){
			$('.no_of_seats').removeClass('styled-element')
			$(this).addClass('styled-element')
		})

		
	})
</script>

